"use strict";

exports.__esModule = true;
exports.publicUrlResolver = publicUrlResolver;
exports.generatePublicUrlFieldConfig = generatePublicUrlFieldConfig;

var _urlGenerator = require("../utils/url-generator");

var _dispatchers = require("../jobs/dispatchers");

function publicUrlResolver(source, store) {
  if ((0, _dispatchers.shouldDispatch)()) {
    (0, _dispatchers.dispatchLocalFileServiceJob)({
      url: source.url,
      mimeType: source.mimeType,
      contentDigest: source.internal.contentDigest
    }, store);
  }

  return (0, _urlGenerator.generatePublicUrl)({
    url: source.url,
    mimeType: source.mimeType
  }, false) + `/${source.filename}`;
}

function generatePublicUrlFieldConfig(store) {
  return {
    type: `String!`,

    resolve(source) {
      return publicUrlResolver(source, store);
    }

  };
}